Subject: Re: 2.6.33 dies on modprobe

From: M G Berberich <[email-masked]>
Date: Wed, 3 Mar 2010 23:16:02 +0100

Hello,

Am Dienstag, den 02. März schrieb Andrew Morton:

> It could be that some kobject on that list has become invalid (memory
> was freed, module was unloaded, etc) and later code stumbled across the
> now-invalid object on that list and then crashed.
> 
> What we can do to find this is to add a diagnostic each time an object
> is registered, and a diagnostic each time kset_find_obj() looks at the
> objects.  Then we'll see which kobject caused the crash, then we can
> look back and see where that kobject was registered from.

[...]

> This will generate a lot of output and we don't want to lose any of it.
>  I'd suggest setting up netconsole so all the output can be reliably
> saved: Documentation/networking/netconsole.txt

I have a serial connection to a netbook. Log attached.

	MfG
	bmg

-- 
„Des is völlig wurscht, was heut beschlos- | M G Berberich
 sen wird: I bin sowieso dagegn!“          | [email-masked]
(SPD-Stadtrat Kurt Schindler; Regensburg)  | www.fmi.uni-passau.de/~berberic